#ifndef __MODELS_H__
#define __MODELS_H__

#define PARAM(n) ((const double *) params)[n]

double *v_buf, *s_buf;
int buf_size;

int f_osc(double t, double *y, double *dy, void *params);
int f_forced_osc(double t, double *y, double *dy, void *params);
int f_lottka_volt(double t, double *y, double *dy, void *params);
int f_modified_pp(double t, double *y, double *dy, void *params);
int f_pid_control(double t, double *y, double *dy, void *params);
int f_gilpin(double t, double *y, double *dy, void *params);

#endif // __MODELS_H__
